org.eclipse.jgit.transport

## Class OpenSshConfig.Host

- java.lang.Object
- - org.eclipse.jgit.transport.OpenSshConfig.Host

Enclosing class:
  OpenSshConfig

    public static class OpenSshConfig.Host
    extends Object

Configuration of one "Host" block in the configuration file.

If returned from `OpenSshConfig.lookup(String)` some or all of the properties may not be populated. The properties which are not populated should be defaulted by the caller.

When returned from `OpenSshConfig.lookup(String)` any wildcard entries which appear later in the configuration file will have been already merged into this block.

### Constructor Summary

Constructors
Constructor and Description
`OpenSshConfig.Host()`

### Method Summary

Methods
`String` `getHostName()`
`File` `getIdentityFile()`
`int` `getPort()`
`String` `getPreferredAuthentications()`
`String` `getStrictHostKeyChecking()`
`String` `getUser()`
`boolean` `isBatchMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSshConfig.Host

    public OpenSshConfig.Host()

### Method Detail

#### getStrictHostKeyChecking

    public String getStrictHostKeyChecking()

Returns:
  the value StrictHostKeyChecking property, the valid values are "yes" (unknown hosts are not accepted), "no" (unknown hosts are always accepted), and "ask" (user should be asked before accepting the host)

#### getHostName

    public String getHostName()

Returns:
  the real IP address or host name to connect to; never null.

#### getPort

    public int getPort()

Returns:
  the real port number to connect to; never 0.

#### getIdentityFile

    public File getIdentityFile()

Returns:
  path of the private key file to use for authentication; null if the caller should use default authentication strategies.

#### getUser

    public String getUser()

Returns:
  the real user name to connect as; never null.

#### getPreferredAuthentications

    public String getPreferredAuthentications()

Returns:
  the preferred authentication methods, separated by commas if more than one authentication method is preferred.

#### isBatchMode

    public boolean isBatchMode()

Returns:
  true if batch (non-interactive) mode is preferred for this host connection.